### Constructor

# Gtk.CheckButton.new_with_label

#### Declaration [src]

    GtkWidget*
    gtk_check_button_new_with_label (
      const char* label
    )

#### Description [src]

Creates a new `GtkCheckButton` with the given text.

#### Parameters

`label` | `const char*`
| the text for the check button.
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new `GtkCheckButton`
Ownership is not transferred to the caller